#
# spec file for package librep (Version 0.14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gmp readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         librep
Summary:      An Emacs Lisp-like runtime library
Version:      0.14
Release:      85
Copyright:    GPL
Group:        Development/Languages
Source:       ftp://ftp.dcs.warwick.ac.uk/people/John.Harper/librep/librep-%{version}.tar.bz2
Patch:        librep-%{version}.dif
URL:          http://www.dcs.warwick.ac.uk/~john/sw/librep.html
Buildroot:    /var/tmp/%{name}-root

%description
This is lisprep, an Emacs Lisp-like runtime library for UNIX. It contains
a LISP interpreter, a byte-code compiler and a virtual machine.

Authors:
--------
    John Harper <jsh@users.sourceforge.net>

SuSE series: d

%package devel
Summary:      Development environment for librep
Group:		Development/Languages
Requires:	librep
Provides:	librepd
Obsoletes:	librepd

%description devel
You'll need this package if you want to compile a program using librep.

Authors:
--------
    cf. librep

SuSE series: d

%prep
#' dummy comment to reset Emacs colorings -ke-
%setup -q
%patch

%build
%ifarch ppc
libtoolize --copy --force && \
        aclocal $ACLOCAL_FLAGS && \
        autoheader && \
        automake --include-deps --add-missing --foreign && \
        autoconf
autoconf
%endif
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-readline --prefix %{_prefix} \
                            --libexec %{_libdir} \
                            --datadir %{_datadir} \
%ifarch i386
                            --infodir %{_infodir} %{_host}
%else
                            --infodir %{_infodir}
%endif
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING NEWS README THANKS TODO
%{_prefix}/bin/rep
%{_prefix}/bin/rep-remote
%{_prefix}/lib/librep.so.*
%{_prefix}/lib/rep/*/*/*
%{_prefix}/share/rep
%{_infodir}/librep*

%files devel
%defattr(-, root, root)
%{_prefix}/bin/rep-config
%{_prefix}/bin/rep-xgettext
%{_prefix}/bin/repdoc
%{_prefix}/lib/librep.*a
%{_prefix}/lib/librep.so
%{_prefix}/include/*
%{_prefix}/lib/rep/*/libtool
%{_prefix}/lib/rep/*/rules.mk
%{_prefix}/lib/rep/*/install-aliases
%{_prefix}/lib/rep/*/rep_config.h
%{_prefix}/share/aclocal/*

%changelog -n librep
* Wed Oct 17 2001 - ro@suse.de
- added _host as target for i386
* Sun Oct 14 2001 - olh@suse.de
- run update_config on ppc, fix config.h.in for rep-gtk/sawfish
* Fri Sep 21 2001 - nadvornik@suse.cz
- removed /usr/share/info/dir from filelist
* Wed Jul 11 2001 - egger@suse.de
- Updated to version 0.14.
- Misc specfile and filelist cleanups.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 22 2001 - schwab@suse.de
- Fix use of %%suse_update_config.
* Sun Dec 10 2000 - egger@suse.de
- Updated to version 0.13.3.
* Mon Nov 20 2000 - ke@suse.de
- spec file: normalizations (e.g. provide the old name).
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Oct 27 2000 - egger@suse.de
- Updated to version 0.13.2.
* Fri Sep 29 2000 - ke@suse.de
- Update to version 0.13.1.
* Fri Sep 22 2000 - ke@suse.de
- Fix %%files list (add rep_config.h).
* Fri Sep 22 2000 - ke@suse.de
- Update to version 0.13.
* Tue Jul 25 2000 - ke@suse.de
- Update to version 0.12.4
* Mon Jul 17 2000 - ke@suse.de
- Update to version 0.12.3
* Fri Jun 23 2000 - ke@suse.de
- Update to version 0.12.2.
* Fri Jun 23 2000 - schwab@suse.de
- Fix file list.
* Wed Jun 21 2000 - ke@suse.de
- Update to version 0.12.1.
* Sat Jun 03 2000 - kukuk@suse.de
- fix configure for new gmp library
* Mon May 15 2000 - ke@suse.de
- update to version 0.11.3.
- split package into librep and librepd.
- make it BuildRoot and use DESTDIR.
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Thu Mar 02 2000 - adrian@suse.de
- spec file fix.
* Mon Feb 28 2000 - uli@suse.de
- removed %%{_target_cpu} crap from %%files section
* Thu Feb 24 2000 - @suse.de
- bugfix
* Mon Jan 31 2000 - adrian@suse.de
- fixed the info dir;  fixed also a bug in rep-config
* Mon Jan 31 2000 - adrian@suse.de
- the first build for this lisp library (needed for sawmill)
